Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb
Class SDB

    java.lang.Object
      com.hp.hpl.jena.sdb.SDB

    public class SDB

extends Object

Field Summary
`static com.hp.hpl.jena.sparql.util.Symbol` | `annotateGeneratedSQL`
`static String` | `BUILD_DATE` The date and time at which this release was built
`static com.hp.hpl.jena.sparql.util.Symbol` | `jdbcFetchSize`
`static com.hp.hpl.jena.sparql.util.Symbol` | `jdbcStream` Control/attempt JDBC streaming - mosty databases allow only one outstanding streaming request
`static String` | `NAME` The product name
`static String` | `namespace` SDB namespace
`static String` | `PATH` The root package name for SDB
`static String` | `sdbIRI` IRI for SDB
`static com.hp.hpl.jena.sparql.util.Symbol` | `streamGraphAPI` Control whether GraphSDB streams results to find - must ensure all Jena iterators are closed if this is set true
`static String` | `symbolPrefix`
`static String` | `symbolSpace`
`static com.hp.hpl.jena.sparql.util.Symbol` | `unionDefaultGraph`
`static com.hp.hpl.jena.sparql.util.Symbol` | `useQuadRewrite`
`static String` | `VERSION` The full name of the current ARQ version

Constructor Summary
`SDB()`

Method Summary
`static com.hp.hpl.jena.sparql.util.Symbol` | `allocSymbol(String shortName)`
`static com.hp.hpl.jena.sparql.util.Context` | `getContext()`
`static com.hp.hpl.jena.shared.PrefixMapping` | `getGlobalPrefixMapping()`
`static void` | `init()`
`static void` | `whenRequiredByAssembler(com.hp.hpl.jena.assembler.assemblers.AssemblerGroup g)` Used by Jena assemblers for registration

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sdbIRI

    public static final String sdbIRI

  IRI for SDB

  See Also:
    Constant Field Values

### namespace

    public static final String namespace

  SDB namespace

  See Also:
    Constant Field Values

### symbolPrefix

    public static final String symbolPrefix

See Also:
  Constant Field Values

### symbolSpace

    public static final String symbolSpace

See Also:
  Constant Field Values

### useQuadRewrite

    public static final com.hp.hpl.jena.sparql.util.Symbol useQuadRewrite

### unionDefaultGraph

    public static final com.hp.hpl.jena.sparql.util.Symbol unionDefaultGraph

### streamGraphAPI

    public static final com.hp.hpl.jena.sparql.util.Symbol streamGraphAPI

  Control whether GraphSDB streams results to find - must ensure all Jena iterators are closed if this is set true

### jdbcStream

    public static final com.hp.hpl.jena.sparql.util.Symbol jdbcStream

  Control/attempt JDBC streaming - mosty databases allow only one outstanding streaming request

### jdbcFetchSize

    public static final com.hp.hpl.jena.sparql.util.Symbol jdbcFetchSize

### annotateGeneratedSQL

    public static final com.hp.hpl.jena.sparql.util.Symbol annotateGeneratedSQL

### PATH

    public static final String PATH

  The root package name for SDB

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

  The product name

  See Also:
    Constant Field Values

### VERSION

    public static final String VERSION

  The full name of the current ARQ version

### BUILD_DATE

    public static final String BUILD_DATE

  The date and time at which this release was built

Constructor Detail

### SDB

    public SDB()

Method Detail

### getContext

    public static com.hp.hpl.jena.sparql.util.Context getContext()

### init

    public static void init()

### whenRequiredByAssembler

    public static void whenRequiredByAssembler(com.hp.hpl.jena.assembler.assemblers.AssemblerGroup g)

  Used by Jena assemblers for registration

### getGlobalPrefixMapping

    public static com.hp.hpl.jena.shared.PrefixMapping getGlobalPrefixMapping()

### allocSymbol

    public static com.hp.hpl.jena.sparql.util.Symbol allocSymbol(String shortName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.